-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "Syn_PlayLoopToggle"

-- **************************************************
-- General information about this script
-- **************************************************

Syn_PlayLoopToggle = {}

function Syn_PlayLoopToggle:Name()
	return "Play Loop Toggle"
end

function Syn_PlayLoopToggle:Version()
	return "0.1"
end

function Syn_PlayLoopToggle:Description()
	return "Toggle partial timeline playback"
end

function Syn_PlayLoopToggle:Creator()
	return "©2022 J.Wesley Fowler (synthsin75)"
end

function Syn_PlayLoopToggle:UILabel()
	return "SYN: Play Loop Toggle"
end

function Syn_PlayLoopToggle:LoadPrefs(prefs)
    self.from = prefs:GetInt("Syn_PlayLoopToggle.from", -1)
    self.to = prefs:GetInt("Syn_PlayLoopToggle.to", -1)
end

function Syn_PlayLoopToggle:SavePrefs(prefs)
     prefs:SetInt("Syn_PlayLoopToggle.from", self.from)
     prefs:SetInt("Syn_PlayLoopToggle.to", self.to)
end

-- **************************************************
-- The guts of this script
-- **************************************************

function Syn_PlayLoopToggle:Run(moho)
	if MOHO.MohoGlobals.PlayStart > -1 and MOHO.MohoGlobals.PlayEnd > -1 then
		self.from = MOHO.MohoGlobals.PlayStart
		self.to = MOHO.MohoGlobals.PlayEnd
		MOHO.MohoGlobals.PlayStart = -1
		MOHO.MohoGlobals.PlayEnd = -1
	elseif self.from > -1 and self.to > -1 then
		MOHO.MohoGlobals.PlayStart = self.from
		MOHO.MohoGlobals.PlayEnd = self.to
	end
end
